## dde-session-ui 6.0.28

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

set(PROJECT_NAME dde-session-ui)
project(${PROJECT_NAME})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
option(DISABLE_SYS_UPDATE "disable sys update" OFF)

set(QT_VERSION_MAJOR 6)
set(DTK_VERSION_MAJOR 6)

# 增加安全编译参数
ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_compile_options(-fsanitize=address)
    add_link_options(-fsanitize=address)
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
endif ()

set(DAEMON_LIB_PATH "lib/deepin-daemon" CACHE STRING "daemon lib path")

# 查找gmock的cmake文件
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(GTest REQUIRED)
find_package(GMock REQUIRED)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Widget Tools)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets DBus Xml Concurrent Svg Sql Network Test LinguistTools)

pkg_check_modules(XCB_EWMH REQUIRED IMPORTED_TARGET xcb-ewmh)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-unix-2.0)
pkg_check_modules(LIBSYSTEMD REQUIRED libsystemd)

pkg_search_module(systemd REQUIRED systemd)
pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemd_user_unit_dir)

set(Test_Libraries
    -lpthread
    -lgcov
    -lgtest
    -lgmock
)

# shared objects
add_subdirectory("common")
add_subdirectory("widgets")
add_subdirectory("global_util")
add_subdirectory("global_util/dbus")

# child projects
add_subdirectory("dde-bluetooth-dialog")
add_subdirectory("dde-hints-dialog")
add_subdirectory("dde-license-dialog")
add_subdirectory("dde-lowpower")
#add_subdirectory("dde-osd")
add_subdirectory("dde-pixmix")
add_subdirectory("dde-suspend-dialog")
add_subdirectory("dde-switchtogreeter")
add_subdirectory("dde-touchscreen-dialog")
add_subdirectory("dde-warning-dialog")
add_subdirectory("dde-welcome")
add_subdirectory("dde-wm-chooser")
add_subdirectory("dde-blackwidget")

# FIXME: startmanager is removed, so it need to be updated
# add_subdirectory("dmemory-warning-dialog")

add_subdirectory("dnetwork-secret-dialog")

# TODO: 需要break旧版本的控制中心
add_subdirectory("reset-password-dialog")


#----------------------------process translations------------------------------
file(GLOB TS_FILES "translations/*.ts")
qt_add_translation(QM_FILES ${TS_FILES})
add_custom_target(dde-session-ui_language ALL DEPENDS ${QM_FILES})
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)

=== dde-blackwidget/CMakeLists.txt ===
set(Blackwidget_Name dde-blackwidget)
file(GLOB_RECURSE Blackwidget_SRCS
    "src/*.h"
    "src/*.cpp"
)

add_executable(${Blackwidget_Name}
    ${Blackwidget_SRCS}
)
set(Blackwidget_Includes
    ${GSETTINGS_INCLUDE_DIRS}
)
set(Blackwidget_Libraries
    ${GSETTINGS_LIBRARIES}
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

target_include_directories(${Blackwidget_Name} PUBLIC
    ${Blackwidget_Includes}
)

target_link_libraries(${Blackwidget_Name} PRIVATE
    ${Blackwidget_Libraries}
)

## bin
install(TARGETS ${Blackwidget_Name} DESTINATION lib/deepin-daemon)
## service
install(FILES misc/dbus-services/org.deepin.dde.BlackScreen1.service DESTINATION share/dbus-1/services)
install(FILES misc/systemd/user/dde-blackwidget.service DESTINATION ${SYSTEMD_USER_UNIT_DIR})

=== dde-bluetooth-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Bluetooth_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Bluetooth_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-bluetooth-dialog/src/main.cpp")

set(Bluetooth_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)
set(Bluetooth_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-license-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE License_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM License_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-license-dialog/src/main.cpp")

set(License_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Concurrent
)

set(License_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Concurrent
)

add_subdirectory("src")
add_subdirectory("tests")

=== reset-password-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(BIN_NAME reset-password-dialog)

if(NOT DISABLE_SYS_UPDATE)

set(SRCS
        main.cpp
        utils.h
        pwqualitymanager.h
        pwqualitymanager.cpp
        resetpassworddialog.h
        resetpassworddialog.cpp
        securityquestionswidget.h
        securityquestionswidget.cpp
        unionidwidget.h
        unionidwidget.cpp
        passwordwidget.h
        passwordwidget.cpp
        resetpasswordworker.h
        resetpasswordworker.cpp
)
set(QRC resetpassworddialog.qrc)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets DBus Network Concurrent)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui)

pkg_check_modules(DeepinPwCheck REQUIRED IMPORTED_TARGET libdeepin_pw_check)


add_executable(${BIN_NAME} ${SRCS} ${QRC})
target_include_directories(${BIN_NAME} PUBLIC
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Gui
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    session-ui-dbus-shared
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::Concurrent
    PkgConfig::DeepinPwCheck
    crypt
    ${LIBS}
)

# bin
install(TARGETS ${BIN_NAME} DESTINATION lib/dde-control-center/)

endif()

=== dde-switchtogreeter/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Switchtogreeter_Name dde-switchtogreeter)

add_executable(${Switchtogreeter_Name}
    ${Switchtogreeter_SRCS}
)

target_include_directories(${Switchtogreeter_Name} PUBLIC
    ${Switchtogreeter_Includes}
)

target_link_libraries(${Switchtogreeter_Name} PRIVATE
    ${Switchtogreeter_Libraries}
)

## bin
install(TARGETS ${Switchtogreeter_Name} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== dde-welcome/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(UT_Welcome_Name ut-dde-welcome)

add_executable(${UT_Welcome_Name}
    "main.cpp"
    "ut_mainwidget.cpp"
    "ut_updatecontent.cpp"
    "global_util/ut_multiscreenmanager.cpp"
    "global_util/ut_publicfunc.cpp"
    "global_util/ut_utilupdateui.cpp"
    "widgets/ut_fullscreenbackground.cpp"
    "widgets/ut_propertygroup.cpp"
)

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Welcome_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Welcome_Name} PUBLIC
    ../src/
)

target_link_libraries(${UT_Welcome_Name} PRIVATE
    dde-welcome-shared
    session-ui-widgets-shared
    session-ui-util-shared
    session-ui-dbus-shared
    ${Test_Libraries}
    Qt${QT_VERSION_MAJOR}::Test
)

=== dnetwork-secret-dialog/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(UT_Dnetwork_Secret_Dialog_Name ut-dnetwork-secret-dialog)

file(GLOB_RECURSE UT_Dnetwork_Secret_Dialog_SRCS
    "*.h"
    "*.cpp"
)

add_executable(${UT_Dnetwork_Secret_Dialog_Name}
    ${Dnetwork_Secret_Dialog_SRCS}
    ${UT_Dnetwork_Secret_Dialog_SRCS}
)

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Dnetwork_Secret_Dialog_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Dnetwork_Secret_Dialog_Name} PUBLIC
    ${Dnetwork_Secret_Dialog_Includes}
    ../src/
)

target_link_libraries(${UT_Dnetwork_Secret_Dialog_Name} PRIVATE
    ${Dnetwork_Secret_Dialog_Libraries}
    ${Test_Libraries}
)

=== debian/changelog ===
dde-session-ui (6.0.28) unstable; urgency=medium

  * fix: dde-blackwidget收到kill信号后直接退出,解决重新时卡logo的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 May 2025 13:14:03 +0800

dde-session-ui (6.0.27) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:29:43 +0800

dde-session-ui (6.0.26) unstable; urgency=medium

  * fix: Low battery window not translated

 -- Robertkill <lvpeilong@uniontech.com>  Tue, 10 Feb 2025 09:34:50 +0800

dde-session-ui (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 24 Jan 2025 10:57:05 +0800

dde-session-ui (6.0.24) unstable; urgency=medium

  * chore: remove the dependence of pandoc
  * chore: add dde-blackscreen (Bug: 288227)

 -- Chengqi E <echengqi@deepin.org>  Sat, 14 Dec 2024 14:12:25 +0800

dde-session-ui (6.0.23) unstable; urgency=medium

  * fix: window removes its own display animation (#379)(Issue: 9728)
  * fix: Adapt user experience plan agreement md format document (#380)(Bug: 281497)
  * fix: add run Depends pandoc analysis .md file (#381)(Bug: 281497)
  * chore: adapt to qt6 (#382)(Task: 367947)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 10:53:25 +0800

## dde-session-ui 6.0.30

=== dde-hints-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Hints_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Hints_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-hints-dialog/src/main.cpp")

set(Hints_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
)

set(Hints_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
)

add_subdirectory("src")
#add_subdirectory("tests")

=== dde-lowpower/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Lowpower_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Lowpower_SRCS "${CMAKE_SOURCE_DIR}/dde-lowpower/src/main.cpp")

set(Lowpower_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

set(Lowpower_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-warning-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Warning_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Warning_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-warning-dialog/src/main.cpp")

set(Warning_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)
set(Warning_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-welcome/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dde-welcome-shared OBJECT
    "src/mainwidget.cpp"
    "src/mainwidget.h"
    "src/updatecontent.cpp"
    "src/updatecontent.h"
    "src/utils.cpp"
    "src/utils.h"
)

target_link_libraries(dde-welcome-shared
    session-ui-widgets-shared
    session-ui-dbus-shared
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Xml
)

add_subdirectory("src")
add_subdirectory("tests")

=== dnetwork-secret-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Dnetwork_Secret_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Dnetwork_Secret_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dnetwork-secret-dialog/src/main.cpp")

set(Dmemory_Warning_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::DBus
)
set(Dnetwork_Secret_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Network
    Qt${QT_VERSION_MAJOR}::DBus
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-bluetooth-dialog/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Bluetooth_Dialog_Name dde-bluetooth-dialog)

add_executable(${Bluetooth_Dialog_Name}
    ${Common_SRCS}
    ${Bluetooth_Dialog_SRCS}
    main.cpp
)

target_include_directories(${Bluetooth_Dialog_Name} PUBLIC
    ${Bluetooth_Dialog_Includes}
)

target_link_libraries(${Bluetooth_Dialog_Name} PRIVATE
    session-ui-dbus-shared
    ${Bluetooth_Dialog_Libraries}
)

## bin
install(TARGETS ${Bluetooth_Dialog_Name} DESTINATION ${DAEMON_LIB_PATH})

=== dde-lowpower/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Lowpower_Name dde-lowpower)

add_executable(${Lowpower_Name}
    ${Lowpower_SRCS}
    main.cpp
)

target_include_directories(${Lowpower_Name} PUBLIC
    ${Lowpower_Includes}
)

target_link_libraries(${Lowpower_Name} PRIVATE
    ${Lowpower_Libraries}
)

## bin
install(TARGETS ${Lowpower_Name} DESTINATION ${DAEMON_LIB_PATH})

=== dde-suspend-dialog/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(UT_Suspend_Dialog_Name ut-dde-suspend-dialog)

file(GLOB_RECURSE UT_Suspend_Dialog_SRCS
    "*.h"
    "*.cpp"
    )
add_executable(${UT_Suspend_Dialog_Name}
    ${Suspend_Dialog_SRCS}
    ${UT_Suspend_Dialog_SRCS}
    )

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Suspend_Dialog_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Suspend_Dialog_Name} PUBLIC
    ${Suspend_Dialog_Includes}
    Qt5::Test
    dde-suspend-dialog/
    ../src/
    )

target_link_libraries(${UT_Suspend_Dialog_Name} PRIVATE
    session-ui-dbus-shared
    ${Suspend_Dialog_Libraries}
    ${Test_Libraries}
    Qt${QT_VERSION_MAJOR}::Test
    )

=== dde-warning-dialog/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Warning_Dialog_Name dde-warning-dialog)

add_executable(${Warning_Dialog_Name}
    ${Warning_Dialog_SRCS}
    main.cpp
)

target_include_directories(${Warning_Dialog_Name} PUBLIC
    ${Warning_Dialog_Includes}
)

target_link_libraries(${Warning_Dialog_Name} PRIVATE
    ${Warning_Dialog_Libraries}
)

## bin
install(TARGETS ${Warning_Dialog_Name} DESTINATION ${DAEMON_LIB_PATH})

## service
install(FILES org.deepin.dde.WarningDialog1.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)

=== dde-warning-dialog/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(UT_Warning_Dialog_Name ut-dde-warning-dialog)

file(GLOB_RECURSE UT_Warning_Dialog_SRCS
    "*.h"
    "*.cpp"
    )
add_executable(${UT_Warning_Dialog_Name}
    ${Warning_Dialog_SRCS}
    ${UT_Warning_Dialog_SRCS}
    )

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Warning_Dialog_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Warning_Dialog_Name} PUBLIC
    ${Warning_Dialog_Includes}
    ../src/
    )

target_link_libraries(${UT_Warning_Dialog_Name} PRIVATE
    ${Warning_Dialog_Libraries}
    ${Test_Libraries}
    )

=== dde-wm-chooser/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(UT_Wm_Chooser_Name ut-dde-wm-chooser)

file(GLOB_RECURSE UT_Wm_Chooser_SRCS
    "*.h"
    "*.cpp"
    )

add_executable(${UT_Wm_Chooser_Name}
    ${Wm_Chooser_SRCS}
    ${UT_Wm_Chooser_SRCS}
    )

# 用于测试覆盖率的编译条件
target_compile_options(${UT_Wm_Chooser_Name} PRIVATE -fprofile-arcs -ftest-coverage)

target_include_directories(${UT_Wm_Chooser_Name} PUBLIC
    ${Wm_Chooser_Includes}
    Qt5::Test
    ../src/
    )

target_link_libraries(${UT_Wm_Chooser_Name} PRIVATE
    session-ui-widgets-shared
    session-ui-util-shared
    session-ui-dbus-shared
    ${Wm_Chooser_Libraries}
    ${Test_Libraries}
    Qt${QT_VERSION_MAJOR}::Test
    )

=== dnetwork-secret-dialog/src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Dnetwork_Secret_Dialog_Name dnetwork-secret-dialog)

add_executable(${Dnetwork_Secret_Dialog_Name}
    ${Dnetwork_Secret_Dialog_SRCS}
    main.cpp
)

target_include_directories(${Dnetwork_Secret_Dialog_Name} PUBLIC
    ${Dnetwork_Secret_Dialog_Includes}
)

target_link_libraries(${Dnetwork_Secret_Dialog_Name} PRIVATE
    ${Dnetwork_Secret_Dialog_Libraries}
)

## bin
install(TARGETS ${Dnetwork_Secret_Dialog_Name} DESTINATION ${DAEMON_LIB_PATH})

=== debian/changelog ===
dde-session-ui (6.0.30) unstable; urgency=medium

  * chore: remove regional variants for es language
  * fix(license): reuse lint
  * fix: incorrect way to load translations

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 17:16:44 +0800

dde-session-ui (6.0.29) unstable; urgency=medium

  * fix: Display name truncation

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 29 May 2025 13:37:26 +0800

=== debian/control ===
Source: dde-session-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config,
 cmake,
 qt6-base-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 libxcb-ewmh-dev,
 libxcb1-dev,
 libx11-dev,
 libdtk6widget-dev,
 libdtk6core-bin,
 libsystemd-dev,
 libgtest-dev,
 libgmock-dev,
 libdeepin-pw-check-dev,
 libgio-qt-dev,
 libxext-dev,
 systemd-dev
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>= 5.9.14),
 dde-daemon (>=6.1.26),
 x11-xserver-utils,
 dbus-user-session,
 dde-session-shell
Provides: lightdm-greeter
Recommends: onboard
Conflicts: dde-workspace,
 startdde (<< 2.91.1),
 dde-control-center (<<6.0.0.1),
 deepin-notifications
Replaces: deepin-notifications
Breaks: dde-workspace, startdde(<< 2.91.1), dde-control-center (<<6.0.0.1)
Description: deepin desktop-environment - dde-session-ui module
 Deepin desktop environment 2015 - dde-session-ui module.

## dde-session-ui 6.0.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 set(QT_VERSION_MAJOR 6)
 set(DTK_VERSION_MAJOR 6)
-
-# 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_compile_options(-fsanitize=address)

=== debian/changelog ===
dde-session-ui (6.0.31) unstable; urgency=medium

  * refactor: move security flags to debian/rules

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:55:35 +0800

## dde-session-ui 6.0.32

=== debian/changelog ===
dde-session-ui (6.0.32) unstable; urgency=medium

  * fix: Incorrect screen indication display
  * fix: Add specified topic parameters

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:43:07 +0800

## dde-session-ui 6.0.35

=== CMakeLists.txt ===
--- 
+++ 
@@ -87,8 +87,8 @@
 
 # FIXME: startmanager is removed, so it need to be updated
 # add_subdirectory("dmemory-warning-dialog")
-
-add_subdirectory("dnetwork-secret-dialog")
+# FIXME: move to dde-network-core
+# add_subdirectory("dnetwork-secret-dialog")
 
 # TODO: 需要break旧版本的控制中心
 add_subdirectory("reset-password-dialog")

=== common/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Common_SRCS
    accessibilitycheckerex.cpp
    accessibilitycheckerex.h
)

add_library(session-ui-common-shared OBJECT
    ${Widgets_SRCS}
)

target_include_directories(session-ui-common-shared
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
)

target_link_libraries(session-ui-common-shared
PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Dtk${DTK_VERSION_MAJOR}::Widget
)

=== dde-blackwidget/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 set(Blackwidget_Name dde-blackwidget)
 file(GLOB_RECURSE Blackwidget_SRCS
     "src/*.h"

=== dde-osd/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dde-osd-shared OBJECT
    src/abstractosdprovider.cpp
    src/abstractosdprovider.h
    src/accessibledefine.h
    src/accessible.h
    src/audioprovider.cpp
    src/audioprovider.h
    src/brightnessprovider.cpp
    src/brightnessprovider.h
    src/CMakeLists.txt
    src/common.cpp
    src/common.h
    src/container.cpp
    src/container.h
    src/delegate.cpp
    src/delegate.h
    src/displaymodeprovider.cpp
    src/displaymodeprovider.h
    src/kblayoutindicator.cpp
    src/kblayoutindicator.h
    src/kblayoutprovider.cpp
    src/kblayoutprovider.h
    src/light.qss
    src/listview.cpp
    src/listview.h
    src/manager.cpp
    src/manager.h
    src/model.cpp
    src/model.h
    src/osdprovider.cpp
    src/osdprovider.h
    src/unittest.cpp
    src/unittest.h
    src/image.qrc
    src/theme.qrc

    src/notification/actionbutton.cpp
    src/notification/actionbutton.h
    src/notification/appbody.cpp
    src/notification/appbody.h
    src/notification/appbodylabel.cpp
    src/notification/appbodylabel.h
    src/notification/appicon.cpp
    src/notification/appicon.h
    src/notification/bubble.cpp
    src/notification/bubble.h
    src/notification/bubblemanager.cpp
    src/notification/bubblemanager.h
    src/notification/bubbletool.cpp
    src/notification/bubbletool.h
    src/notification/button.cpp
    src/notification/button.h
    src/notification/constants.h
    src/notification/dbus_daemon_interface.cpp
    src/notification/dbus_daemon_interface.h
    src/notification/dbusdockinterface.cpp
    src/notification/dbusdockinterface.h
    src/notification/dbuslogin1manager.cpp
    src/notification/dbuslogin1manager.h
    src/notification/iconbutton.cpp
    src/notification/iconbutton.h
    src/notification/icondata.cpp
    src/notification/icondata.h
    src/notification/notificationentity.cpp
    src/notification/notificationentity.h
    src/notification/notifications_dbus_adaptor.cpp
    src/notification/notifications_dbus_adaptor.h
    src/notification/notifysettings.cpp
    src/notification/notifysettings.h
    src/notification/persistence.cpp
    src/notification/persistence.h
    src/notification/signalbridge.h

    src/notification-center/bubbleitem.cpp
    src/notification-center/bubbleitem.h
    src/notification-center/bubbletitlewidget.cpp
    src/notification-center/bubbletitlewidget.h
    src/notification-center/itemdelegate.cpp
    src/notification-center/itemdelegate.h
    src/notification-center/notifycenterwidget.cpp
    src/notification-center/notifycenterwidget.h
    src/notification-center/notifylistview.cpp
    src/notification-center/notifylistview.h
    src/notification-center/notifymodel.cpp
    src/notification-center/notifymodel.h
    src/notification-center/notifywidget.cpp
    src/notification-center/notifywidget.h
    src/notification-center/overlapwidet.cpp
    src/notification-center/overlapwidet.h
)

target_include_directories(dde-osd-shared
PRIVATE
    ${CMAKE_CURRENT_LIST_DIR}/src
)

target_link_libraries(dde-osd-shared
PUBLIC
    session-ui-dbus-shared
    Dtk::Widget
    PkgConfig::GSETTINGS
    PkgConfig::XCB_EWMH
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::Widgets
    Qt5::DBus
    Qt5::Svg
    Qt5::Sql
    Qt5::Test
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-pixmix/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Pixmix_SRCS
    "src/*.h"
    "src/*.cpp"
)
list(REMOVE_ITEM Pixmix_SRCS "${CMAKE_SOURCE_DIR}/dde-pixmix/srcmain.cpp")

set(Pixmix_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
)
set(Pixmix_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
)

add_subdirectory("src")
#add_subdirectory("tests")

=== dde-suspend-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Suspend_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )
list(REMOVE_ITEM Suspend_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-suspend-dialog/src/main.cpp")

set(Suspend_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)
set(Suspend_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-switchtogreeter/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Switchtogreeter_SRCS
    "*.h"
    "*.c"
)

set(Switchtogreeter_Includes
    ${LIBSYSTEMD_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
)
set(Switchtogreeter_Libraries
    ${LIBSYSTEMD_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${GIO_LIBRARIES}
)

add_subdirectory("src")
#add_subdirectory("tests")

=== dde-touchscreen-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

find_package(X11 REQUIRED)

file(GLOB_RECURSE Touchscreen_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
)

list(REMOVE_ITEM Touchscreen_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dde-touchscreen-dialog/src/main.cpp")

set(Touchscreen_Dialog_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
)
set(Touchscreen_Dialog_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    ${X11_LIBRARIES}
    -lXext
)

add_subdirectory("src")
add_subdirectory("tests")

=== dde-wm-chooser/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Wm_Chooser_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM Wm_Chooser_SRCS "${CMAKE_SOURCE_DIR}/dde-wm-chooser/src/main.cpp")

set(Wm_Chooser_Includes
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Xml
)
set(Wm_Chooser_Libraries
    Dtk${DTK_VERSION_MAJOR}::Widget
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Xml
)

add_subdirectory("src")
add_subdirectory("tests")

=== dmemory-warning-dialog/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

file(GLOB_RECURSE Dmemory_Warning_Dialog_SRCS
    "src/*.h"
    "src/*.cpp"
    )

list(REMOVE_ITEM Dmemory_Warning_Dialog_SRCS "${CMAKE_SOURCE_DIR}/dmemory-warning-dialog/src/main.cpp")

set(Dmemory_Warning_Dialog_Includes
    ${DtkWidget_INCLUDE_DIRS}
    Qt5::Widgets
    Qt5::DBus
    )
set(Dmemory_Warning_Dialog_Libraries
    ${DtkWidget_LIBRARIES}
    Qt5::Widgets
    Qt5::DBus
    )

add_subdirectory("src")
add_subdirectory("tests")

=== global_util/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Global_Util_SRCS
    multiscreenmanager.cpp
    multiscreenmanager.h
    public_func.cpp
    public_func.h
    util_updateui.cpp
    util_updateui.h
)

add_library(session-ui-util-shared OBJECT
    ${Global_Util_SRCS}
)

target_include_directories(session-ui-util-shared
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
)

target_link_libraries(session-ui-util-shared
PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
    Dtk${DTK_VERSION_MAJOR}::Core
)

=== widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(Widgets_SRCS
    fullscreenbackground.cpp
    fullscreenbackground.h
    propertygroup.cpp
    propertygroup.h
)

add_library(session-ui-widgets-shared OBJECT
    ${Widgets_SRCS}
)

target_include_directories(session-ui-widgets-shared
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
)

target_link_libraries(session-ui-widgets-shared
PRIVATE
    Qt${QT_VERSION_MAJOR}::Widgets
)

=== debian/changelog ===
dde-session-ui (6.0.35) unstable; urgency=medium

  * i18n: [dde-session-ui] Updates for project Deepin Desktop
    Environment (#409)
  * fix: Delete dnetwork-secret-dialog
  * fix: Add titlebar option

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:01:07 +0800

dde-session-ui (6.0.34) unstable; urgency=medium

  * i18n: [dde-session-ui] Updates for project Deepin Desktop
    Environment (#408)
  * chore: sync ts file from transifex, add transifex.yaml

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:29:38 +0800

dde-session-ui (6.0.33) unstable; urgency=medium

  * fix: Fix qt default translation not loading
  * fix: set DSG_APP_ID environment variable

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 21 Aug 2025 19:47:22 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT=5

include /usr/share/dpkg/default.mk
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

%:
	dh $@ --parallel

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(SYSTYPE), Professional)
ifeq ($(DEB_BUILD_ARCH), amd64)
override_dh_gencontrol:
	dh_gencontrol -- -Vdist:Depends="pbis-open"
endif
endif
